SYSTEMD-TMPFILES(8)

BEZEICHNUNG
systemd-tmpfiles, systemd-tmpfiles-setup.service, systemd-tmpfiles-setup-dev.service, systemd-tmpfiles-clean.service, systemd-tmpfiles-clean.timer - Temporäre und flüchtige Dateien sowie Verzeichnisse erstellen, löschen und aufräumen

ÜBERSICHT

systemd-tmpfiles [OPTIONEN …] [KONFIGURATIONSDATEI …]

System-Units:

systemd-tmpfiles-setup.service
systemd-tmpfiles-setup-dev.service
systemd-tmpfiles-clean.service
systemd-tmpfiles-clean.timer

Benutzer-Units:

systemd-tmpfiles-setup.service
systemd-tmpfiles-clean.service
systemd-tmpfiles-clean.timer

BESCHREIBUNG

systemd-tmpfiles erstellt und löscht temporäre und flüchtige Dateien sowie Verzeichnisse und räumt diese auf, basierend auf dem Format und der Ort der in tmpfiles.d(5) beschriebenen Konfigurationsdatei.

Wenn der Befehl ohne Argumente aufgerufen wird, werden alle Anweisungen aus der Konfigurationsdatei angewendet. Beim Aufruf mit --replace=PFAD werden die auf der Befehlzeile festgelegten Argumente anstatt der Konfigurationsdatei PFAD verwandt. Werden andernfalls ein oder mehrere absolute Dateinamen in der Befehlszeile übergeben, werden nur die in diesen Dateien enthaltenen Anweisungen ausgeführt. Wenn »-« statt eines Dateinamens angegeben wird, werden die Anweisungen von der Standardeingabe gelesen. In dem Fall, dass nur der Basisname einer Konfigurationsdatei angegeben wird, werden alle in tmpfiles.d(5) angegebenen Verzeichnisse nach einer passenden Datei durchsucht und die gefundene Datei, die die höchste Priorität hat, wird ausgeführt.

OPTIONEN

Die folgenden Optionen werden verstanden:

--create
    entfernt alle in der Konfigurationsdatei mit f, F, w, d, D, v, p, L, c, b, m markierten Dateien und Verzeichnisse oder legt diese an. Mit z, Z, , t, T, a und A markierte Dateien und Verzeichnisse haben ihre eigenen Besitzer, Zugriffsmodi und Sicherheitskennzeichen.

--clean
    räumt alle Dateien und Verzeichnisse auf, für die ein Parameter konfiguriert ist, der sich auf das Alter bezieht.

--remove
    entfernt den Inhalt aller mit D oder R markierten Dateien und Verzeichnisse, sowie die mit r oder R markierten Verzeichnisse selbst.

--user
    führt »Benutzer«-Konfiguration aus, d.h. tmpfiles.d-Dateien in Benutzerkonfigurationsverzeichnissen.

--boot
    wendet auch jene Regeln an, denen ein Ausrufezeichen vorangestellt ist.

--prefix=Pfad
    wendet nur jene Regeln an, die auf Pfade mit dem angegebenen Präfix verweisen. Diese Option kann mehrmals angegeben werden.

--exclude-prefix=Pfad
    ignoriert die Regeln zum Anwenden der Pfade mit dem angegebenen Präfix. Diese Option kann mehrmals angegeben werden.

--root=Wurzel
    akzeptiert einen Verzeichnispfad als Argument. Allen Pfaden wird der angegebene alternative Wurzel-Pfad vorangestellt, einschließlich der Suchpfade für die Konfiguration.

    Beachten Sie, dass diese Option nicht beeinflusst, wie die in den Konfigurationsdateien festgelegten Benutzer und Gruppen aufgelöst werden. Mit oder ohne diese Option werden Benutzer und Gruppen immer gemäß der Benutzer- und Gruppendatenbank des Rechners aufgelöst; alle solche Datenbanken, die unter den angegebenen Wurzelverzeichnissen gespeichert sind, werden nicht berücksichtigt.

--replace=PFAD
    Wird diese Option angegeben, müssen eine oder mehrere positionsbezogene Argumente festgelegt werden. Alle in den in tmpfiles.d(5) aufgeführten Verzeichnissen gefundenen Konfigurationsdateien werden gelesen und die auf der Befehlszeile übergebene Konfiguration wird statt der Konfigurationsdatei PFAD mit der gleichen Priorität wie diese verwandt.

    Diese Option ist dazu gedacht, verwandt zu werden, wenn die Installationsskripte laufen und Dateien, die zu dem Paket gehören, noch nicht auf Platte verfügbar sind, so dass ihr Inhalt auf der Befehlszeile übergeben werden muss, aber die Konfigurationsskripte des Administrators bereits existieren und ihnen eine höherere Priorität gegeben werden soll.

-h, --help
    zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    zeigt eine kurze Versionszeichenkette an und beendet das Programm.

Es ist möglich, --create, --clean und --remove in einem Aufruf zu kombinieren. Zum Beispiel wird während des Systemstarts die folgende Befehlszeile ausgeführt, um sicherzustellen, dass alle flüchtigen und temporären Verzeichnisse entsprechend der Konfigurationsdatei entfernt beziehungsweise angelegt werden:

    systemd-tmpfiles --remove --create

UNPRIVILEGIERTE --CLEANUP-OPERATION

systemd-tmpfiles versucht die Änderungs- und Zugriffs-Zeitstempel der Verzeichnisse zu erhalten, auf die es zugreift. Dafür sind CAP_FOWNER-Privilegien erforderlich. Wenn es nicht als Root ausgeführt wird, wird die Zugriffszeit der Verzeichnisse aktualisiert, die nach zu löschenden Dateien durchsucht werden. Dadurch kann der tatsächliche Löschvorgang verhindert werden.

RÜCKGABEWERT

Im Erfolgsfall wird 0 zurückgeliefert. Falls die Konfigurationsdatei ungültig war (ungültige Syntax, fehlende Argumente …) und einige Zeilen ignoriert werden mussten, aber keine weiteren Fehler aufgetreten sind, wird 65 zurückgeliefert (EX_DATAERR aus /usr/include/sysexits.h). Andernfalls wird 1 zurückgeliefert (EXIT_FAILURE aus /usr/include/stdlib.h).

SIEHE AUCH

systemd(1), tmpfiles.d(5)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.